Bug 120815 - GPT disk can't be handled by kernel-2.6.5-1.319
GPT disk can't be handled by kernel-2.6.5-1.319
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-14 00:21 EDT by Shinya Narahara
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 03:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shinya Narahara 2004-04-14 00:21:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
kernel-2.6.5-1.319 can't handle partitions in GPT.
For example, 

# parted /dev/sda
(Omitted)
Using /dev/sda
(parted) print
Disk geometry for /dev/sda: 0.000-34732.890 megabytes
Disk label type: gpt
Minor   Start        End    Filesystem     Name    Flags
1         0.017    128.016  fat16                  boot
2       128.017   4224.016  ext3
3      4224.017   5248.016  linux-swap
4      5248.017  34732.874  ext3
(parted) quit

# mount /dev/sda2 /mnt/cdrom
mount: /dev/sda5 is not a valid block device

However the kernel can handle fine the MS-DOS disk label.


Version-Release number of selected component (if applicable):
kernel-2.6.5-1.319

How reproducible:
Always

Steps to Reproduce:
1.make gpt partitions by using parted
2.boot with kernel-2.6.5-1.319
3.mount partitions in gpt.


Actual Results:  mount: /dev/sda5 is not valid block device

Expected Results:  mounted normally.

Additional info:

GPT is used by Windows2003 Server, this is important to
support this. RHEL3 kernel(2.4.21-4.EL) can handle this,
but this kernel is based 2.6...
Comment 1 Arjan van de Ven 2004-05-03 03:26:33 EDT
fixed in rawhide, even though fedora core has no ia64 release.

Note You need to log in before you can comment on or make changes to this bug.